body {
    font-family: sans-serif;
    right: 0;
    left: 0;
    margin: 0;
}
header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: black;
    z-index: 9999;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px;
    background-color: black;
}

.logo img {
    width: 180px;
    height: auto;
    margin: 5px;
}

@media only screen and (max-width: 768px) {
    .logo img {
        width: 120px;
    }
    .headercontent {
        font-size: 0.8rem;
    }
}
.popup {
    position: fixed;
    width: 20%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    padding: 20px;
    border: 1px solid #ccc;
    box-shadow: 0 0 10px #ccc;
    z-index: 9999;
}
.popup-validation {
    margin-left: 28%;
}
@media only screen and (max-width: 768px) {
    .popup {
        width: 80%;
    }
    .popup-validation {
        margin-left: 20%;
    }
}
@media screen and (min-width: 769px) and (max-width: 1660px) {
    .popup {
        width: 30%;
    }
}
.blur {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.5);
    z-index: 9998;
}
.nav-links {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
}

.nav-links li {
    margin: 0 10px;
}

.nav-links a {
    text-decoration: none;
    font-size: 1.2em;
    color: #FFC107;
}

.burger {
    display: none;
    cursor: pointer;
}

.burger .line1,
.burger .line2,
.burger .line3 {
    width: 25px;
    height: 3px;
    background-color: #333;
    margin: 5px;
}

.container2 {
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(auto-fit,minmax(1500px,1fr));
}
@media screen and (max-width: 767px) {
    .container2 {
        grid-template-columns: repeat(auto-fit,minmax(50px,1fr));
    }
    .titleVeh1 {
        width: 80px;
    }
    .prevSelect1 {
        position: relative;
        left: 30px;
    }
    .prevSelect2 {
        position: relative;
       top: 60px;
        left: 75px;
    }
}
.headerlogo {
    width: 80%;
    display: block;
    -webkit-box-shadow: 5px 11px 17px -7px rgba(0,0,0,0.63);
    box-shadow: 5px 11px 17px -7px rgba(0,0,0,0.63);
    margin: 150px auto;
}
@media screen and (max-width: 767px) {
    .headerlogo {
        width: 90%;
        margin: 100px auto;
    }
}
@media screen and (max-width: 490px) {
    .headerlogo {

    }
}


:root {
    --primary-color: rgb(11, 78, 179);
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

body {
    font-family: Montserrat, "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
    margin: 0;
    display: grid;
    place-items: center;
    min-height: 100vh;
}
/* Global Stylings */
label {
    display: block;
    margin-bottom: 0.5rem;
}

input {
    display: block;
    width: 100%;
    padding: 0.75rem;
    border: 1px solid #ccc;
    border-radius: 0.25rem;
}

.width-50 {
    width: 50%;
}

.ml-auto {
    margin-left: auto;
}

.text-center {
    text-align: center;
}

/* Progressbar */
.progressbar {
    position: relative;
    display: flex;
    justify-content: space-between;
    counter-reset: step;
    max-width: 70%;
    margin: 5rem auto;
}

.progressbar::before,
.progress {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    height: 7px;
    width: 100%;
    background-color: rgba(220, 220, 220, 0.49);
    z-index: -1;
}
@media screen and (max-width: 767px) {
    .progressbar {
        max-width: 85%;
    }
}
@media screen and (min-width: 768px) and (max-width: 980px) {
    .progressbar {
        max-width: 85%;
    }
}

.progress {
    background-color: rgba(0, 0, 0, 0.82);
    width: 1%;
    transition: 0.7s;
}

.progress-step {
    width: 5rem;
    height: 5rem;
    background-color: rgba(220, 220, 220, 0.49);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.progress-step::before {
}

.progress-step::after {
    content: attr(data-title);
    text-justify: inherit;
    font-style: normal;
    width: 13%;
    text-align: center;
    position: absolute;
    bottom: calc(90% + 0.5rem);
    font-size: 1rem;
    color: #000000;
}

@media screen and (max-width: 767px) {
    .progress-step {
        width: 3rem;
        height: 3rem;
    }
}
@media screen and (max-width: 1667px) {
    .progress-step::after{
        font-size: 0.8rem;
        width: 30%;
    }
}
.progress-step-active {
    background-image: url("../img/step1.png");
    background-position: right;
    background-repeat: no-repeat;
    background-size: 78%;
    max-width: 50%;
    max-height: 80%;
    border: 1px solid black;
}

.progress2 {
    background-image: url("../img/step2.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 78%;
    max-width: 50%;
    max-height: 80%;
    border: 1px solid black;
}
.progress3 {
    background-image: url("../img/step3.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 78%;
    max-width: 50%;
    max-height: 80%;
    border: 1px solid black;
}

/* Form */
.form {
    width: clamp(320px, 30%, 430px);
    margin: 0 auto;
    border: 1px solid #ccc;
    border-radius: 0.35rem;
    padding: 1.5rem;
}

.form-step {
    display: none;
    transform-origin: top;
    animation: animate 0.5s;
}

.form-step-active {
    display: block;
}

.input-group {
    margin: 2rem 0;
}

@keyframes animate {
    from {
        transform: scale(1, 0);
        opacity: 0;
    }
    to {
        transform: scale(1, 1);
        opacity: 1;
    }
}

/* Button */
.btns-group {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.5rem;
}



.footer {
    background-color: black;
    color: white;
    margin-top: 4%;
}
.parent {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(5, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
}

.div1 { grid-area: 2 / 3 / 3 / 4; }
.div2 { grid-area: 3 / 3 / 4 / 4; }

.card {
    background-color: #ffffff;
    border: none;
    border-radius: 0.15rem;
    margin: 0 auto; /* Added */
    float: none; /* Added */
    margin-bottom: 10px; /* Added */
}

/* Tabs Card */

.tab-card {
    border:1px solid #eee;
}

.tab-card-header {
    background:none;
}
/* Default mode */
.tab-card-header > .nav-tabs {
    border: none;
    margin: 0px;
}
.tab-card-header > .nav-tabs > li {
    margin-right: 2px;
}
.tab-card-header > .nav-tabs > li > a {
    border: 0;
    border-bottom:2px solid transparent;
    margin-right: 0;
    color: #737373;
    padding: 2px 15px;
}

.tab-card-header > .nav-tabs > li > a.show {
    border-bottom:2px solid #007bff;
    color: #007bff;
}
.tab-card-header > .nav-tabs > li > a:hover {
    color: #007bff;
}

.tab-card-header > .tab-content {
    padding-bottom: 0;
}
.border-3 {
    border-width:4px !important;
}
.link-style {
    font-weight: 700;
}
@media only screen and (max-width: 768px) {
    .link-style {
        font-size: 0.8rem;
    }
}

.gallery-img {
    width:auto;
    height: auto;
    margin: 0 auto;
    text-align: center;
}

.gallery-img img {
    width: auto;
    height: auto;
    margin: 5px;
    display: inline-block;
    max-width: 50rem;
    -webkit-box-shadow: 7px 9px 11px -9px #000000;
    box-shadow: 7px 9px 11px -9px #000000;
}
@media only screen and (max-width: 768px) {
    .gallery-img {
        text-align: center;
    }
    .gallery-img img {
        width: 18rem;
        display: inline-block;
    }
    .card-body-style {
        padding-left: 0;
        padding-right: 0;
    }
}
.card-step2 {
    max-width: 100%;
    max-height: 300px;
    background-color: #EFF3F7;
    -webkit-box-shadow: 5px 5px 15px -6px #000000;
    box-shadow: 5px 5px 15px -6px #000000;
}
.card-step3 {
    position: relative;
    max-width: 50%;
    max-height: 220px;
    border-radius: 2%;
    background-color: #EFF3F7;
    -webkit-box-shadow: 5px 5px 15px -6px #000000;
    box-shadow: 5px 5px 15px -6px #000000;
}
.card-step2-1 {
    position: relative;
    bottom: 40px;
    max-width: 50%;
    padding-top: 0;
    border-radius: 2%;
    background-color: white;
}
.card-step3-1 {
    position: relative;
    bottom: 10px;
    max-width: 85%;
    padding-top: 0;
    border-radius: 2%;
    background-color: white;
}
.img-recap-step2 {
    max-width: 50%;
    margin: 0;
    border-radius: 2%;
}
.img-recap-step3 {
    max-width: 50%;
    border-radius: 2%;
}
.btn-previous-step2 {
    position: relative;
    bottom: 80px;
    max-width: 13%;
}
.btn-validation-step2 {
    position: relative;
    margin: auto;
    bottom: 5px;
    max-width: 28%;
}
.btn-validation-step3 {
    position: relative;
    margin: auto;
    bottom: 5px;
    max-width: 28%;
}
.card-title-desc {
    position: relative;
    top: 50px;
}
.table-title {
    font-size: 8pt;
}
.card-step2-2 {
    max-width: 100%;
    max-height: 980px;
    border-radius: 2%;
    background-color: #EFF3F7;
    -webkit-box-shadow: 5px 5px 5px -6px #000000;
    box-shadow: 13px 14px 18px -7px rgba(0,0,0,0.1);
}
.card-step3-2 {
    max-width: 68%;
    max-height: 950px;
    border-radius: 2%;
    background-color: #EFF3F7;
    -webkit-box-shadow: 5px 5px 15px -6px #000000;
    box-shadow: 5px 5px 15px -6px #000000;
}
@media only screen and (max-width: 768px) {
    .card-step2 {
        max-width: 95%;
        max-height: 150px;
    }
    .card-step3 {
        max-width: 95%;
    }
    .table-title {
        font-size: 7.5pt;
    }
    .blockrecapstep3 {
        position: relative;
        font-size: 10pt;

        left: 25%;
    }
    .btn-recapRdvStep3{
        font-size: 9pt;
    }
    .btn-validation-step2 {
        max-width: 78%;
    }
    .btn-validation-step3 {
        max-width: 78%;
        bottom: 35px;
    }
    .card-step3-2 {
        max-width: 95%;
    }
    .title-card-step-2-2 {
        position: relative;
        top: 10px;
    }
    .card-step2-2 {
        max-width: 100%;
        max-height: 1250px;
    }
    .card-step2-1{
        max-width: 100%;
        bottom: 60px;
    }
    .card-step3-1{
        max-width: 100%;
    }
    .img-recap-step2 {
        max-width: 70%;
    }
    .img-recap-step3 {
        max-width: 100%;
    }
    .btn-previous-step2 {
        display: none;
    }
    .respBlockTitleStep3 {
        position: relative;
        top: 90px;
        font-size: 11pt;
    }
    #titleVehicule {
        font-size: 12pt;
    }
    .card-title {
        position: relative;
        bottom: 50px;
    }
    .card-title2 {
        position: relative;

    }
}
@media screen and (min-width: 820px) and (max-width: 1180px) {
    .card-step2-1 {
        width: 50%;
    }
}
@media screen and (min-width: 768px) and (max-width: 1024px) {
    .card-step2-1 {
        width: 45%;
    }
}
@media screen and (min-width: 769px) and (max-width: 1600px) {
    .card-step2-1 {
        max-width: 50%;
        bottom: 10px;
    }
    .btn-previous-step2 {
        max-width: 25%;
        bottom: 60px;
    }
}
@media screen and (min-width: 770px) and (max-width: 1290px) {
    .btn-validation-step2 {
        max-width: 88%;
    }
}
@media screen and (min-width: 771px) and (max-width: 817px) {

}
@media screen and (min-width: 770px) and (max-width: 1290px) {
    .btn-previous-step2 {
        bottom: 15px;
    }
}
@media screen and (min-width: 770px) and (max-width: 1120px) {
    .btn-previous-step2 {
        bottom: 10px;
    }
    .card-step2-1 {
        max-width: 90%;
    }
}
@media screen and (min-width: 410px) and (max-width: 765px) {
    .card-step2 {
        max-height: 300px;
    }
}
@media screen and (min-width: 768px) and (max-width: 1024px) {
    .card-step2 {
        max-height: 300px;
    }
}
.btn.active {
    background-color: blue;
    color: white;
}
td, tr {
    text-align: center;
}

.text-bottom-veh {
    color: #ccc2c2;
}

.image-container {
    position: relative;
    margin: auto;
}

figcaption {
    background: linear-gradient(to top, lightgrey 30%, rgba(211, 211, 211, 0.5) 80%);
    color: black;
    font-size: 13px;
    padding: 3px;
    text-align: center;
    position: absolute;
    margin-left: 4px;
    bottom: 0;
    left: 0;
    right: 0;
    width: 102.7%;
}
@media only screen and (max-width: 768px) {
    figcaption {
        width: 131%;
    }

    .image-container {
        right: 40px;
    }
}